1. We have added the ability to collapse/expand forum categories and widgets on forum home.
    Dismiss Notice
  2. All Civ avatars are brought back and available for selection in the Avatar Gallery! There are 945 avatars total.
    Dismiss Notice
  3. To make the site more secure, we have installed SSL certificates and enabled HTTPS for both the main site and forums.
    Dismiss Notice
  4. Civ6 is released! Order now! (Amazon US | Amazon UK | Amazon CA | Amazon DE | Amazon FR)
    Dismiss Notice
  5. Dismiss Notice
  6. Forum account upgrades are available for ad-free browsing.
    Dismiss Notice

Patch for Civ IV not recognizing game

Discussion in 'Civ4 - Technical Support' started by Nutmegger, Mar 20, 2007.

  1. Nutmegger

    Nutmegger Chieftain

    Joined:
    Mar 20, 2007
    Messages:
    2
    I bought and downloaded Civ IV (not the Warlord, just vanilla) last night and then immediately downloaded the patch. When I tried to use the patch it told me that I did not have a copy of the game loaded. So, I opened and played the vanilla last night, unpatched. Is there some way to get the patch to recognize the downloaded version of the game? Is this a known issue? (I suspect it has to be.)

    Anyway, I have played and loved Civ since I started with the board game in the 70s, so I am looking forward to getting to know the most recent version.

    Any help would be appreciated.

    - Nutmegger
     
  2. Petek

    Petek Alpha Centaurian Administrator Moderator Supporter

    Joined:
    Nov 8, 2001
    Messages:
    3,098
    Location:
    Berkeley, Calif., USA
    Did you download the patch from the same site where you bought the game? If not, that's probably the problem. Typically, the downloaded game is incompatible with the patches from Firaxis.
     
  3. Nutmegger

    Nutmegger Chieftain

    Joined:
    Mar 20, 2007
    Messages:
    2
    Well, I downloaded it from Gamestop/EB, which does not seem to have a place to get the patch. I got to that site by buying it off the official Civ IV page, so you think they would be supported.
     
  4. Petek

    Petek Alpha Centaurian Administrator Moderator Supporter

    Joined:
    Nov 8, 2001
    Messages:
    3,098
    Location:
    Berkeley, Calif., USA
    I didn't know about the downloads from Gamestop/EB. I was thinking you got it from Direct2Drive, which does require a special patch.

    Assuming that the Firaxis patch is compatible with your version, then the error message that you receive was very commonly-reported when the first patch came out. It usually indicates that a certain registry key was not created, or was created incorrectly. The easiest way to try and fix it is to uninstall the game, reinstall and then try to patch again. That often fixes the problem. If that doesn't work, then see this thread on Apolyton. One of the posts in that thread contains a way to manually update your registry, if it's missing or contains incorrect info. If you use it, let me know if you need any help doing so.

    Good luck!
     

Share This Page